Bug 1771213 - python-mako: Remove (sub)packages from Fedora 32+: python2-mako
Summary: python-mako: Remove (sub)packages from Fedora 32+: python2-mako
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-mako
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PY2REMOVAL F31_PY2REMOVAL
TreeView+ depends on / blocked
 
Reported: 2019-11-12 00:40 UTC by Miro Hrončok
Modified: 2019-11-15 10:28 UTC (History)
13 users (show)

Fixed In Version: python-mako-1.1.0-3.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-15 10:28:48 UTC
Type: ---


Attachments (Terms of Use)

Description Miro Hrončok 2019-11-12 00:40:34 UTC
In line with the Mass Python 2 Package Removal [0], the following (sub)packages of python-mako were marked for removal:

 * python2-mako

According to our query, those (sub)packages only provide a Python 2 importable module. If this is not true, please tell us why, so we can fix our query.

Please remove them from your package in Rawhide (Fedora 32).

Please don't remove packages from Fedora 31/30/29, removing packages from a released Fedora branch is forbidden.

As said in the change document, if there is no objection in a week, we will remove the package(s) as soon as we get to it. This change might not match your packaging style, so we'd prefer if you did the change. If you need more time, please let us know here.

If you do the change yourself, it would help us a lot by reducing the amount of packages we need to mass change.

We hope this doesn't come to you as a surprise. If you want to know our motivation for this, please read the change document [0].

[0] https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal

Comment 1 Jan ONDREJ 2019-11-15 08:21:00 UTC
Any progress here? If there is no active maintainer here, I can help to maintain this package. Just give me access to "ondrejj".

Looks like this package is on python2 exodus blacklist.

Comment 2 Miro Hrončok 2019-11-15 09:20:56 UTC
I'll remove the python 2 subpackages soon. This is maintained by the Python SIG. It's just too many packages now.


Note You need to log in before you can comment on or make changes to this bug.